package org.lym.pom.repository.mongo.enums;

import org.lym.pom.repository.mongo.Attitude;
import org.shoulder.core.dictionary.model.NameAsIdDictionaryItemEnum;

/**
 * 互动类型：评论、赞、喜欢、反对、举报
 *
 * @see Attitude#type
 * @author lym
 */
public enum AttitudeTypeEnum implements NameAsIdDictionaryItemEnum<AttitudeTypeEnum> {

    LIKE("L"),
    LOVE("LO"),
    DISLIKE("D"),
        ;

    private final String storageName;

    AttitudeTypeEnum(String storageName) {
        this.storageName = storageName;
    }

    public String getStorageName() {
        return storageName;
    }

    @Override public String getItemId() {
        return storageName;
    }
}
